<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>
<body>
	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
	<hr>
	<h1><b>Software Engineering Code of Ethics and Professional Practice</b></h1>
	<h3><b>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</b></h3>
	<hr>
	<h4><b>Keywords:</b> code of ethics, professional responsibilities, software engineering</h4>
	<h3><b>PREAMBLE</b></h3>
	<p>
		The short version of the code summarize aspirations at high level of abstraction. The clause that are included in the full version give example and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details from a cohesive code.
	</p>
	<p>
		Software engineers shall commit themselves to making the analysis, specifications, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welface of the public, software engineers shall adhere to the following eight Principles:
	</p>
	<h3>PRINCIPLES</h3>
	<ol>
		<li><em>Public.</em> Sofrware engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer.</em> Sofrware engineers shall act in manner that is in the best interest of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Sofrware engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgement.</em> Sofrware engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><em>Management.</em> Sofrware engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em> Sofrware engineers sjall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Sofrware engineers shall fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Sofrware engineers shall practice in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
	</ol>
</body>
</html>